/*
 * skillExplore.hpp
 *
 *  Created on: 17/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_SKILL_EXPLORE_HPP_
#define VICTIMID_SKILL_EXPLORE_HPP_

#include "victim_id/skill.hpp"

namespace casualty {

class VIDSkillExplore : public VicIdSkill {
public:
    VIDSkillExplore() :
        VicIdSkill("sk_explore")
    {};
    ~VIDSkillExplore() {};

    void start();
    void stop();
    bool equals(VicIdSkill& skOther);

    // Data
    ros::ServiceClient* explorerClient;
    ros::ServiceClient* stowScanClient;
    std::string mode;
};
typedef crosbot::Handle<VIDSkillExplore> VIDSkillExplorePtr;

} // namespace casualty

#endif /* VICTIMID_SKILL_EXPLORE_HPP_ */
